# Uses of Class
com.destroystokyo.paper.exception.ServerException

Packages that use ServerException
Package
Description
com.destroystokyo.paper.event.server
com.destroystokyo.paper.exception

## Uses of ServerException in com.destroystokyo.paper.event.server

Methods in com.destroystokyo.paper.event.server that return ServerException
Modifier and Type
Method
Description
`@NotNull ServerException`
ServerExceptionEvent.`getException()`
Gets the wrapped exception that was thrown.
Constructors in com.destroystokyo.paper.event.server with parameters of type ServerException
Modifier
Constructor
Description
``
`ServerExceptionEvent(@NotNull ServerException exception)`

## Uses of ServerException in com.destroystokyo.paper.exception

Subclasses of ServerException in com.destroystokyo.paper.exception
Modifier and Type
Class
Description
`class`
`ServerCommandException`
Thrown when a command throws an exception
`class`
`ServerEventException`
Exception thrown when a server event listener throws an exception
`class`
`ServerInternalException`
Thrown when the internal server throws a recoverable exception.
`class`
`ServerPluginEnableDisableException`
Thrown whenever there is an exception with any enabling or disabling of plugins.
`class`
`ServerPluginException`
Wrapper exception for all cases to which a plugin can be immediately blamed for
`class`
`ServerPluginMessageException`
Thrown when an incoming plugin message channel throws an exception
`class`
`ServerSchedulerException`
Thrown when a plugin's scheduler fails with an exception
`class`
`ServerTabCompleteException`
Called when a tab-complete request throws an exception